    Create 2D histogram from a sequence of samples.

histogram2d(x, y, x_grid, y_grid)
x - sequence of numbers
y - sequence of numbers
x_grid - sequence of numbers
y_grid - sequence of numbers

See the `numpy.histogram2d` routine for a version with more options.

Given a list of coordinates ( xvals , yvals ), bin them up so that they match the 5 by 10 pixel image data space. In this case the X grid is [1, 2, ..., 5] and the Y grid is [1, 2, .., 10].

>>> dataspace2d([5, 10]) >>> (xgrid, ygrid) = get_axes() >>> n = histogram2d(xvals, yvals, xgrid, ygrid) >>> set_dep(n)

PARAMETERS

The parameters for this function are:

Parameter
Definition
x
The array of samples (X coordinate)
y
The array of samples (Y coordinate), which must have the same size as the x sequence.
x_grid
The X bin edges.
y_grid
The Y bin edges.

The return value from this function is:

y -- The number of samples in each histogram bin defined by the x_grid and y_grid arrays.

Changes in CIAO

The x_grid and y_grid arguments are no-longer changed (sorted) by this routine.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023